<%@ page contentType="text/html;charset=UTF-8" language="java" session="true"
  %><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"
  %><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"
  %><%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"
  %><%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<jsp:useBean id="buildData" type="jetbrains.buildServer.serverSide.SBuild" scope="request"/>
<c:if test="${not empty isProjectTab}">
  <p>
  Data was taken from ${buildData.buildType.fullName},
  <bs:resultsLink build="${buildData}">build ${buildData.buildNumber}</bs:resultsLink>
  started at <bs:date value="${buildData.startDate}"/>
  </p>
</c:if>
<c:choose>
  <c:when test="${fn:endsWith(basePath,'.jar') or fn:endsWith(basePath,'.zip')}">
    <c:url value='/repository/archive/${basePath}/buildId/${buildData.buildId}/${startPage}' var="iframeUrl"/>
  </c:when>
  <c:otherwise>
    <c:url value='/repository/download/${buildData.buildTypeId}/${buildData.buildId}:id/${basePath}/${startPage}' var="iframeUrl"/>
  </c:otherwise>
</c:choose>
<bs:iframe url="${iframeUrl}"/>